Modify

Opened 6 years ago

Closed 2 years ago

#11217 closed defect (fixed)

Ubiquity devices fail detecting carrier on ethernet

Reported by: gmazzurco89@… Owned by: developers
Priority: highest Milestone: Chaos Calmer 15.05
Component: kernel Version:
Keywords: ethernet carrier Cc: juhosg@…

Description

Ubiquity M series devices ( I have experienced that on Nanostation M2 and Picostation M2HP ) some times fails detecting carrier on Ethernet interfaces I can gain access on the device from wireless, the devices is a Picostation M2HP the Ethernet cable is plugged here is some debugging infos

root@OpenWrt:~# cat /etc/eigennet/version 
Built Tue Mar 13 18:32:15 CET 2012 by gioacchino at eigenServer

OpenWrt
Path: .
URL: svn://svn.openwrt.org/openwrt/branches/backfire
Repository Root: svn://svn.openwrt.org/openwrt
Repository UUID: 3c298f89-4303-0410-b956-a3cf2f4a3e73
Revision: 30920
Node Kind: directory
Schedule: normal
Last Changed Author: jow
Last Changed Rev: 30898
Last Changed Date: 2012-03-12 03:09:16 +0100 (Mon, 12 Mar 2012)

Feeds

packages
Path: .
URL: svn://svn.openwrt.org/openwrt/branches/packages_10.03.2
Repository Root: svn://svn.openwrt.org/openwrt
Repository UUID: 3c298f89-4303-0410-b956-a3cf2f4a3e73
Revision: 30920
Node Kind: directory
Schedule: normal
Last Changed Author: jow
Last Changed Rev: 30723
Last Changed Date: 2012-02-25 17:19:03 +0100 (Sat, 25 Feb 2012)

zzzeigennet
URL: git://gitorious.org/eigennet/packages.git
commit 6f3f56f6f6729a4914df457d10d6fde5ce19928c
Author: Gioacchino Mazzurco <gmazzurco89@gmail.com>
Date:   Fri Mar 9 21:27:43 2012 +0100

    updated ipv6 prefix according to sixx tunnel
root@OpenWrt:~# 
root@OpenWrt:~# 
root@OpenWrt:~# 
root@OpenWrt:~# dmesg 
Linux version 2.6.32.27 (gioacchino@eigenServer) (gcc version 4.3.3 (GCC) ) #4 Tue Mar 13 18:32:42 CET 2012
prom: fw_arg0=00000006, fw_arg1=a1f7bfb0, fw_arg2=a1f7c460, fw_arg3=00000000
MyLoader: sysp=ffffffff, boardp=ffffffff, parts=f0f0f0f0
bootconsole [early0] enabled
CPU revision is: 00019374 (MIPS 24Kc)
Atheros AR7240 rev 2, CPU:390.000 MHz, AHB:195.000 MHz, DDR:390.000 MHz
Determined physical RAM map:
 memory: 02000000 @ 00000000 (usable)
Initrd not found or empty - disabling initrd
Zone PFN ranges:
  Normal   0x00000000 -> 0x00002000
Movable zone start PFN for each node
early_node_map[1] active PFN ranges
    0: 0x00000000 -> 0x00002000
On node 0 totalpages: 8192
free_area_init_node: node 0, pgdat 802ca1a0, node_mem_map 81000000
  Normal zone: 64 pages used for memmap
  Normal zone: 0 pages reserved
  Normal zone: 8128 pages, LIFO batch:0
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
Kernel command line: rootfstype=squashfs,yaffs,jffs2 noinitrd console=ttyS0,115200 board=UBNT-BM mtdparts=spi0.0:256k(u-boot)ro,64k(u-boot-env)ro,1024k(kernel),6528k(rootfs),256k(cfg)ro,64k(EEPROM)ro,7552k@0x50000(firmware)
PID hash table entries: 128 (order: -3, 512 bytes)
Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
Writing ErrCtl register=00000000
Readback ErrCtl register=00000000
Memory: 29356k/32768k available (2068k kernel code, 3412k reserved, 406k data, 152k init, 0k highmem)
SLUB: Genslabs=7, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
Hierarchical RCU implementation.
NR_IRQS:56
Calibrating delay loop... 259.68 BogoMIPS (lpj=1298432)
Mount-cache hash table entries: 512
NET: Registered protocol family 16
MIPS: machine is Ubiquiti Bullet M
registering PCI controller with io_map_base unset
bio: create slab <bio-0> at 0
PCI: fixup device 0000:00:00.0
pci 0000:00:00.0: reg 10 64bit mmio: [0x000000-0x00ffff]
pci 0000:00:00.0: supports D1
pci 0000:00:00.0: PME# supported from D0 D1 D3hot
pci 0000:00:00.0: PME# disabled
PCI: mapping irq 48 to pin1@0000:00:00.0
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 1024 (order: 1, 8192 bytes)
TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
TCP: Hash tables configured (established 1024 bind 1024)
TCP reno registered
NET: Registered protocol family 1
squashfs: version 4.0 (2009/01/31) Phillip Lougher
Registering mini_fo version $Id$
JFFS2 version 2.2. (NAND) (SUMMARY)  © 2001-2006 Red Hat, Inc.
yaffs Feb 21 2012 15:25:42 Installing. 
msgmni has been set to 57
io scheduler noop registered
io scheduler deadline registered (default)
Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
console [ttyS0] enabled, bootconsole disabled
Atheros AR71xx SPI Controller driver version 0.2.4
m25p80 spi0.0: mx25l6405d (8192 Kbytes)
7 cmdlinepart partitions found on MTD device spi0.0
Creating 7 MTD partitions on "spi0.0":
0x000000000000-0x000000040000 : "u-boot"
0x000000040000-0x000000050000 : "u-boot-env"
0x000000050000-0x000000150000 : "kernel"
0x000000150000-0x0000007b0000 : "rootfs"
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=320000, len=490000 
0x000000320000-0x0000007b0000 : "rootfs_data"
0x0000007b0000-0x0000007f0000 : "cfg"
0x0000007f0000-0x000000800000 : "EEPROM"
0x000000050000-0x0000007b0000 : "firmware"
ag71xx_mdio: probed
eth0: Atheros AG71xx at 0xb9000000, irq 4
eth0: using fixed link parameters
Atheros AR71xx hardware watchdog driver version 0.1.0
ar71xx-wdt: timeout=15 secs (max=22)
TCP westwood registered
NET: Registered protocol family 17
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
VFS: Mounted root (squashfs filesystem) readonly on device 31:3.
Freeing unused kernel memory: 152k freed
Please be patient, while OpenWrt loads ...
input: gpio-buttons as /devices/platform/gpio-buttons/input/input0
Button Hotplug driver version 0.3.1
eth0: link up (100Mbps/Full duplex)
Registered led device: ubnt:red:link1
Registered led device: ubnt:orange:link2
Registered led device: ubnt:green:link3
Registered led device: ubnt:green:link4
mini_fo: using base directory: /
mini_fo: using storage directory: /overlay
eth0: link down
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
eth0: link up (100Mbps/Full duplex)
device eth0 entered promiscuous mode
lo: Disabled Privacy Extensions
br-clients: port 1(eth0) entering forwarding state
Compat-wireless backport release: compat-wireless-2011-11-29
Backport based on wireless-testing.git master-2011-12-01
cfg80211: Calling CRDA to update world regulatory domain
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
cfg80211: World regulatory domain updated:
cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
PCI: Setting latency timer of device 0000:00:00.0 to 64
ath: EEPROM regdomain: 0x0
ath: EEPROM indicates default country code should be used
ath: doing EEPROM country->regdmn map search
ath: country maps to regdmn code: 0x3a
ath: Country alpha2 being used: US
ath: Regpair used: 0x3a
ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
Registered led device: ath9k-phy0
ieee80211 phy0: Atheros AR9280 Rev:2 mem=0xb0000000, irq=48
cfg80211: Calling CRDA for country: US
cfg80211: Regulatory domain changed to country: US
cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211:     (2000000 KHz - 3000000 KHz @ 40000 KHz), (3000 mBi, 3000 mBm)
cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
cfg80211:     (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
PPP generic driver version 2.4.2
ip_tables: (C) 2000-2006 Netfilter Core Team
NET: Registered protocol family 24
ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
nf_conntrack version 0.5.0 (461 buckets, 1844 max)
batman_adv: B.A.T.M.A.N. advanced 2012.0.0 (compatibility version 14) loaded
ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
ADDRCONF(NETDEV_UP): wlan0: link is not ready
wlan0: Selected IBSS BSSID 02:aa:bb:cc:dd:ee based on configured SSID
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
wlan0: IPv6 duplicate address eeab:30::1 detected!
ar71xx-wdt: enabling watchdog timer
batman_adv: bat0: Adding interface: wlan0
batman_adv: bat0: Interface activated: wlan0
device bat0 entered promiscuous mode
br-clients: port 2(bat0) entering forwarding state
batman_adv: bat0: Adding interface: br-clients
batman_adv: bat0: The MTU of interface br-clients is too small (1500) to handle the transport of batman-adv packets. Packets going over this interface will be fragmented on layer2 which could impact the performance. Setting the MTU to 1528 would solve the problem.
batman_adv: bat0: Interface activated: br-clients
batman_adv: bat0: Changing gw mode from: off to: client
wlan0: IPv6 duplicate address eeab:30::1 detected!
wlan0: IPv6 duplicate address eeab:30::1 detected!
wlan0: IPv6 duplicate address eeab:30::1 detected!
wlan0: IPv6 duplicate address eeab:30::1 detected!
wlan0: IPv6 duplicate address eeab:30::1 detected!
wlan0: IPv6 duplicate address eeab:30::1 detected!
wlan0: IPv6 duplicate address eeab:30::1 detected!
wlan0: IPv6 duplicate address eeab:30::1 detected!
wlan0: IPv6 duplicate address eeab:30::1 detected!
wlan0: IPv6 duplicate address eeab:30::1 detected!
wlan0: IPv6 duplicate address eeab:30::1 detected!
wlan0: IPv6 duplicate address eeab:30::1 detected!
wlan0: IPv6 duplicate address eeab:30::1 detected!
wlan0: IPv6 duplicate address eeab:30::1 detected!
------------[ cut here ]------------
WARNING: at net/sched/sch_generic.c:261 0x801ff8d0()
NETDEV WATCHDOG: eth0 (ag71xx): transmit queue 0 timed out
Modules linked in: ohci_hcd batman_adv nf_nat_tftp nf_conntrack_tftp nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppoe pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 usbcore nls_base crc16 crc_ccitt cfg80211 compat arc4 aes_generic deflate ecb cbc ipv6 leds_gpio button_hotplug gpio_buttons input_polldev input_core
Call Trace:[<80069348>] 0x80069348
[<80069348>] 0x80069348
[<8007e0b0>] 0x8007e0b0
[<801ff8d0>] 0x801ff8d0
[<8007e130>] 0x8007e130
[<801eb6e0>] 0x801eb6e0
[<801ff8d0>] 0x801ff8d0
[<80257250>] 0x80257250
[<80ca4ec0>] 0x80ca4ec0
[<8025715c>] 0x8025715c
[<801ff76c>] 0x801ff76c
[<800889bc>] 0x800889bc
[<80071b00>] 0x80071b00
[<80083af8>] 0x80083af8
[<80083bd8>] 0x80083bd8
[<8006082c>] 0x8006082c
[<80060a00>] 0x80060a00
[<8006c2e4>] 0x8006c2e4
[<8006d8f0>] 0x8006d8f0
[<80060a20>] 0x80060a20
[<802cba54>] 0x802cba54
[<802cb3a8>] 0x802cb3a8

---[ end trace 96e3b7de7b3a6218 ]---
eth0: tx timeout
eth0: link down
br-clients: port 1(eth0) entering disabled state
root@OpenWrt:~# 
root@OpenWrt:~# 
root@OpenWrt:~# 
root@OpenWrt:~# logread 
Jan  1 00:00:07 OpenWrt syslog.info syslogd started: BusyBox v1.15.3
Jan  1 00:00:07 OpenWrt user.notice kernel: klogd started: BusyBox v1.15.3 (2012-02-21 15:17:11 CET)
Jan  1 00:00:07 OpenWrt user.notice kernel: Linux version 2.6.32.27 (gioacchino@eigenServer) (gcc version 4.3.3 (GCC) ) #4 Tue Mar 13 18:32:42 CET 2012
Jan  1 00:00:07 OpenWrt user.debug kernel: prom: fw_arg0=00000006, fw_arg1=a1f7bfb0, fw_arg2=a1f7c460, fw_arg3=00000000
Jan  1 00:00:07 OpenWrt user.debug kernel: MyLoader: sysp=ffffffff, boardp=ffffffff, parts=f0f0f0f0
Jan  1 00:00:07 OpenWrt user.info kernel: bootconsole [early0] enabled
Jan  1 00:00:07 OpenWrt user.info kernel: CPU revision is: 00019374 (MIPS 24Kc)
Jan  1 00:00:07 OpenWrt user.info kernel: Atheros AR7240 rev 2, CPU:390.000 MHz, AHB:195.000 MHz, DDR:390.000 MHz
Jan  1 00:00:07 OpenWrt user.info kernel: Determined physical RAM map:
Jan  1 00:00:07 OpenWrt user.info kernel:  memory: 02000000 @ 00000000 (usable)
Jan  1 00:00:07 OpenWrt user.info kernel: Initrd not found or empty - disabling initrd
Jan  1 00:00:07 OpenWrt user.warn kernel: Zone PFN ranges:
Jan  1 00:00:07 OpenWrt user.warn kernel:   Normal   0x00000000 -> 0x00002000
Jan  1 00:00:07 OpenWrt user.warn kernel: Movable zone start PFN for each node
Jan  1 00:00:07 OpenWrt user.warn kernel: early_node_map[1] active PFN ranges
Jan  1 00:00:07 OpenWrt user.warn kernel:     0: 0x00000000 -> 0x00002000
Jan  1 00:00:07 OpenWrt user.debug kernel: On node 0 totalpages: 8192
Jan  1 00:00:07 OpenWrt user.debug kernel: free_area_init_node: node 0, pgdat 802ca1a0, node_mem_map 81000000
Jan  1 00:00:07 OpenWrt user.debug kernel:   Normal zone: 64 pages used for memmap
Jan  1 00:00:07 OpenWrt user.debug kernel:   Normal zone: 0 pages reserved
Jan  1 00:00:07 OpenWrt user.debug kernel:   Normal zone: 8128 pages, LIFO batch:0
Jan  1 00:00:07 OpenWrt user.warn kernel: Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
Jan  1 00:00:07 OpenWrt user.notice kernel: Kernel command line: rootfstype=squashfs,yaffs,jffs2 noinitrd console=ttyS0,115200 board=UBNT-BM mtdparts=spi0.0:256k(u-boot)ro,64k(u-boot-env)ro,1024k(kernel),6528k(rootfs),256k(cfg)ro,64k(EEPROM)ro,7552k@0x50000(firmware)
Jan  1 00:00:07 OpenWrt user.info kernel: PID hash table entries: 128 (order: -3, 512 bytes)
Jan  1 00:00:07 OpenWrt user.info kernel: Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
Jan  1 00:00:07 OpenWrt user.info kernel: Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
Jan  1 00:00:07 OpenWrt user.warn kernel: Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
Jan  1 00:00:07 OpenWrt user.warn kernel: Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
Jan  1 00:00:07 OpenWrt user.info kernel: Writing ErrCtl register=00000000
Jan  1 00:00:07 OpenWrt user.info kernel: Readback ErrCtl register=00000000
Jan  1 00:00:07 OpenWrt user.info kernel: Memory: 29356k/32768k available (2068k kernel code, 3412k reserved, 406k data, 152k init, 0k highmem)
Jan  1 00:00:07 OpenWrt user.info kernel: SLUB: Genslabs=7, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
Jan  1 00:00:07 OpenWrt user.info kernel: Hierarchical RCU implementation.
Jan  1 00:00:07 OpenWrt user.info kernel: NR_IRQS:56
Jan  1 00:00:07 OpenWrt user.info kernel: Calibrating delay loop... 259.68 BogoMIPS (lpj=1298432)
Jan  1 00:00:07 OpenWrt user.warn kernel: Mount-cache hash table entries: 512
Jan  1 00:00:07 OpenWrt user.info kernel: NET: Registered protocol family 16
Jan  1 00:00:07 OpenWrt user.notice kernel: MIPS: machine is Ubiquiti Bullet M
Jan  1 00:00:07 OpenWrt user.warn kernel: registering PCI controller with io_map_base unset
Jan  1 00:00:07 OpenWrt user.warn kernel: bio: create slab <bio-0> at 0
Jan  1 00:00:07 OpenWrt user.info kernel: PCI: fixup device 0000:00:00.0
Jan  1 00:00:07 OpenWrt user.debug kernel: pci 0000:00:00.0: reg 10 64bit mmio: [0x000000-0x00ffff]
Jan  1 00:00:07 OpenWrt user.debug kernel: pci 0000:00:00.0: supports D1
Jan  1 00:00:07 OpenWrt user.info kernel: pci 0000:00:00.0: PME# supported from D0 D1 D3hot
Jan  1 00:00:08 OpenWrt user.info kernel: pci 0000:00:00.0: PME# disabled
Jan  1 00:00:08 OpenWrt user.info kernel: PCI: mapping irq 48 to pin1@0000:00:00.0
Jan  1 00:00:08 OpenWrt user.info kernel: Switching to clocksource MIPS
Jan  1 00:00:08 OpenWrt user.info kernel: NET: Registered protocol family 2
Jan  1 00:00:08 OpenWrt user.info kernel: IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
Jan  1 00:00:08 OpenWrt user.info kernel: TCP established hash table entries: 1024 (order: 1, 8192 bytes)
Jan  1 00:00:08 OpenWrt user.info kernel: TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
Jan  1 00:00:08 OpenWrt user.info kernel: TCP: Hash tables configured (established 1024 bind 1024)
Jan  1 00:00:08 OpenWrt user.info kernel: TCP reno registered
Jan  1 00:00:08 OpenWrt user.info kernel: NET: Registered protocol family 1
Jan  1 00:00:08 OpenWrt user.info kernel: squashfs: version 4.0 (2009/01/31) Phillip Lougher
Jan  1 00:00:08 OpenWrt user.info kernel: mini_fo: using storage directory: /overlay
Jan  1 00:00:08 OpenWrt user.info kernel: eth0: link down
Jan  1 00:00:08 OpenWrt user.info kernel: NET: Registered protocol family 10
Jan  1 00:00:08 OpenWrt user.info kernel: lo: Disabled Privacy Extensions
Jan  1 00:00:08 OpenWrt user.info sysinit: ifconfig: SIOCSIFADDR: File exists
Jan  1 00:00:09 OpenWrt user.info kernel: eth0: link up (100Mbps/Full duplex)
Jan  1 00:00:09 OpenWrt user.info kernel: device eth0 entered promiscuous mode
Jan  1 00:00:09 OpenWrt user.info kernel: lo: Disabled Privacy Extensions
Jan  1 00:00:09 OpenWrt user.notice ifup: Enabling Router Solicitations on loopback (lo)
Jan  1 00:00:09 OpenWrt user.info kernel: br-clients: port 1(eth0) entering forwarding state
Jan  1 00:00:09 OpenWrt user.info kernel: Compat-wireless backport release: compat-wireless-2011-11-29
Jan  1 00:00:09 OpenWrt user.info kernel: Backport based on wireless-testing.git master-2011-12-01
Jan  1 00:00:10 OpenWrt user.info kernel: cfg80211: Calling CRDA to update world regulatory domain
Jan  1 00:00:10 OpenWrt user.info kernel: usbcore: registered new interface driver usbfs
Jan  1 00:00:10 OpenWrt user.info kernel: usbcore: registered new interface driver hub
Jan  1 00:00:10 OpenWrt user.info kernel: usbcore: registered new device driver usb
Jan  1 00:00:11 OpenWrt user.notice ifup: Enabling Router Solicitations on clients (br-clients)
Jan  1 00:00:12 OpenWrt user.info kernel: cfg80211: World regulatory domain updated:
Jan  1 00:00:12 OpenWrt user.info kernel: cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jan  1 00:00:12 OpenWrt user.info kernel: cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jan  1 00:00:12 OpenWrt user.info kernel: cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jan  1 00:00:12 OpenWrt user.info kernel: cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jan  1 00:00:12 OpenWrt user.info kernel: cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jan  1 00:00:12 OpenWrt user.info kernel: cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jan  1 00:00:13 OpenWrt user.debug kernel: PCI: Setting latency timer of device 0000:00:00.0 to 64
Jan  1 00:00:13 OpenWrt user.debug kernel: ath: EEPROM regdomain: 0x0
Jan  1 00:00:13 OpenWrt user.debug kernel: ath: EEPROM indicates default country code should be used
Jan  1 00:00:13 OpenWrt user.debug kernel: ath: doing EEPROM country->regdmn map search
Jan  1 00:00:13 OpenWrt user.debug kernel: ath: country maps to regdmn code: 0x3a
Jan  1 00:00:13 OpenWrt user.debug kernel: ath: Country alpha2 being used: US
Jan  1 00:00:13 OpenWrt user.debug kernel: ath: Regpair used: 0x3a
Jan  1 00:00:13 OpenWrt user.debug kernel: ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
Jan  1 00:00:13 OpenWrt user.info kernel: Registered led device: ath9k-phy0
Jan  1 00:00:13 OpenWrt user.info kernel: ieee80211 phy0: Atheros AR9280 Rev:2 mem=0xb0000000, irq=48
Jan  1 00:00:13 OpenWrt user.info kernel: cfg80211: Calling CRDA for country: US
Jan  1 00:00:13 OpenWrt user.info kernel: cfg80211: Regulatory domain changed to country: US
Jan  1 00:00:13 OpenWrt user.info kernel: cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jan  1 00:00:13 OpenWrt user.info kernel: cfg80211:     (2000000 KHz - 3000000 KHz @ 40000 KHz), (3000 mBi, 3000 mBm)
Jan  1 00:00:13 OpenWrt user.info kernel: cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
Jan  1 00:00:13 OpenWrt user.info kernel: cfg80211:     (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jan  1 00:00:13 OpenWrt user.info kernel: cfg80211:     (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jan  1 00:00:13 OpenWrt user.info kernel: cfg80211:     (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jan  1 00:00:13 OpenWrt user.info kernel: cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
Jan  1 00:00:13 OpenWrt user.info kernel: PPP generic driver version 2.4.2
Jan  1 00:00:13 OpenWrt user.info kernel: ip_tables: (C) 2000-2006 Netfilter Core Team
Jan  1 00:00:13 OpenWrt user.info kernel: NET: Registered protocol family 24
Jan  1 00:00:13 OpenWrt user.info kernel: ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
Jan  1 00:00:14 OpenWrt user.warn kernel: nf_conntrack version 0.5.0 (461 buckets, 1844 max)
Jan  1 00:00:14 OpenWrt user.info kernel: batman_adv: B.A.T.M.A.N. advanced 2012.0.0 (compatibility version 14) loaded
Jan  1 00:00:14 OpenWrt user.info kernel: ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
Jan  1 00:00:16 OpenWrt user.info kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Jan  1 00:00:16 OpenWrt user.debug kernel: wlan0: Selected IBSS BSSID 02:aa:bb:cc:dd:ee based on configured SSID
Jan  1 00:00:16 OpenWrt user.info kernel: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
Jan  1 00:00:16 OpenWrt user.notice ifup: Enabling Router Solicitations on nmeshradio0 (wlan0)
Jan  1 00:00:17 OpenWrt authpriv.info dropbear[744]: Running in background
Jan  1 00:00:17 OpenWrt user.info kernel: wlan0: IPv6 duplicate address eeab:30::1 detected!
Jan  1 00:00:17 OpenWrt daemon.info mini_snmpd[751]: started, listening on port 161/udp and 161/tcp
Jan  1 00:00:17 OpenWrt user.debug kernel: ar71xx-wdt: enabling watchdog timer
Jan  1 00:00:17 OpenWrt user.info sysinit: net.ipv4.ip_forward = 1
Jan  1 00:00:17 OpenWrt user.info sysinit: net.ipv6.conf.all.forwarding = 1
Jan  1 00:00:17 OpenWrt user.info sysinit: net.ipv6.conf.all.autoconf = 0
Jan  1 00:00:18 OpenWrt user.info sysinit: Cannot find device "bat0"
Jan  1 00:00:19 OpenWrt user.info kernel: batman_adv: bat0: Adding interface: wlan0
Jan  1 00:00:19 OpenWrt user.info kernel: batman_adv: bat0: Interface activated: wlan0
Jan  1 00:00:19 OpenWrt user.info kernel: device bat0 entered promiscuous mode
Jan  1 00:00:19 OpenWrt user.info kernel: br-clients: port 2(bat0) entering forwarding state
Jan  1 00:00:25 OpenWrt user.info kernel: batman_adv: bat0: Adding interface: br-clients
Jan  1 00:00:25 OpenWrt user.info kernel: batman_adv: bat0: The MTU of interface br-clients is too small (1500) to handle the transport of batman-adv packets. Packets going over this interface will be fragmented on layer2 which could impact the performance. Setting the
Jan  1 00:00:25 OpenWrt user.info kernel: batman_adv: bat0: Interface activated: br-clients
Jan  1 00:00:28 OpenWrt user.info kernel: batman_adv: bat0: Changing gw mode from: off to: client
Jan  1 00:00:28 OpenWrt user.info sysinit: #
Jan  1 00:00:28 OpenWrt user.info sysinit: # WARNING: the 'service_kill' function is now deprecated and might be 
Jan  1 00:00:28 OpenWrt user.info sysinit: # removed soon. Consider using the other new service_* wrappers instead.
Jan  1 00:00:28 OpenWrt user.info sysinit: #
Jan  1 00:41:17 OpenWrt user.info kernel: wlan0: IPv6 duplicate address eeab:30::1 detected!
Jan  1 00:41:18 OpenWrt user.info kernel: wlan0: IPv6 duplicate address eeab:30::1 detected!
Jan  1 00:54:41 OpenWrt user.info kernel: wlan0: IPv6 duplicate address eeab:30::1 detected!
Jan  1 01:30:08 OpenWrt user.info kernel: wlan0: IPv6 duplicate address eeab:30::1 detected!
Jan  1 01:30:53 OpenWrt user.info kernel: wlan0: IPv6 duplicate address eeab:30::1 detected!
Jan  1 01:30:54 OpenWrt user.info kernel: wlan0: IPv6 duplicate address eeab:30::1 detected!
Jan  7 10:16:12 OpenWrt user.info kernel: wlan0: IPv6 duplicate address eeab:30::1 detected!
Jan  9 07:53:54 OpenWrt user.info kernel: wlan0: IPv6 duplicate address eeab:30::1 detected!
Jan  9 07:53:55 OpenWrt user.info kernel: wlan0: IPv6 duplicate address eeab:30::1 detected!
Jan 16 07:47:05 OpenWrt user.info kernel: wlan0: IPv6 duplicate address eeab:30::1 detected!
Jan 16 07:47:05 OpenWrt user.info kernel: wlan0: IPv6 duplicate address eeab:30::1 detected!
Jan 16 07:51:26 OpenWrt user.info kernel: wlan0: IPv6 duplicate address eeab:30::1 detected!
Jan 16 19:06:14 OpenWrt user.info kernel: wlan0: IPv6 duplicate address eeab:30::1 detected!
Jan 18 06:08:12 OpenWrt user.info kernel: wlan0: IPv6 duplicate address eeab:30::1 detected!
Jan 18 10:47:14 OpenWrt user.warn kernel: ------------[ cut here ]------------
Jan 18 10:47:14 OpenWrt user.warn kernel: WARNING: at net/sched/sch_generic.c:261 0x801ff8d0()
Jan 18 10:47:14 OpenWrt user.info kernel: NETDEV WATCHDOG: eth0 (ag71xx): transmit queue 0 timed out
Jan 18 10:47:14 OpenWrt user.warn kernel: Modules linked in: ohci_hcd batman_adv nf_nat_tftp nf_conntrack_tftp nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_
Jan 18 10:47:14 OpenWrt user.warn kernel: Call Trace:[<80069348>] 0x80069348
Jan 18 10:47:14 OpenWrt user.warn kernel: [<80069348>] 0x80069348
Jan 18 10:47:14 OpenWrt user.warn kernel: [<8007e0b0>] 0x8007e0b0
Jan 18 10:47:14 OpenWrt user.warn kernel: [<801ff8d0>] 0x801ff8d0
Jan 18 10:47:14 OpenWrt user.warn kernel: [<8007e130>] 0x8007e130
Jan 18 10:47:14 OpenWrt user.warn kernel: [<801eb6e0>] 0x801eb6e0
Jan 18 10:47:14 OpenWrt user.warn kernel: [<801ff8d0>] 0x801ff8d0
Jan 18 10:47:14 OpenWrt user.info kernel: eth0: link down
Jan 18 10:47:14 OpenWrt user.info kernel: br-clients: port 1(eth0) entering disabled state
Jan 18 23:36:57 OpenWrt authpriv.info dropbear[898]: Child connection from 2001:1418:1a9:eeab::100:40106
Jan 18 23:42:01 OpenWrt authpriv.info dropbear[898]: Exit before auth: Timeout before auth
Jan 18 23:48:43 OpenWrt authpriv.info dropbear[899]: Child connection from 2001:1418:1a9:eeab::100:40379
Jan 18 23:48:46 OpenWrt authpriv.warn dropbear[899]: Login attempt for nonexistent user from 2001:1418:1a9:eeab::100:40379
Jan 18 23:48:46 OpenWrt authpriv.info dropbear[899]: Exit before auth: Exited normally
Jan 18 23:50:30 OpenWrt authpriv.info dropbear[900]: Child connection from 2001:1418:1a9:eeab::100:40426
Jan 18 23:50:33 OpenWrt authpriv.warn dropbear[900]: Login attempt for nonexistent user from 2001:1418:1a9:eeab::100:40426
Jan 18 23:50:33 OpenWrt authpriv.info dropbear[900]: Exit before auth: Exited normally
Jan 18 23:52:18 OpenWrt authpriv.info dropbear[901]: Child connection from 2001:1418:1a9:eeab::100:40471
Jan 18 23:52:22 OpenWrt authpriv.notice dropbear[901]: Pubkey auth succeeded for 'root' with key md5 e3:cf:33:79:8e:7e:4b:4a:69:29:1e:ac:b1:ea:54:55 from 2001:1418:1a9:eeab::100:40471
root@OpenWrt:~# 
root@OpenWrt:~# 
root@OpenWrt:~# 
root@OpenWrt:~# ip a s
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 brd 127.255.255.255 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast state DOWN qlen 1000
    link/ether 00:15:6d:7b:96:7a brd ff:ff:ff:ff:ff:ff
3: br-clients: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UNKNOWN 
    link/ether 00:15:6d:7b:96:7a brd ff:ff:ff:ff:ff:ff
    inet 192.168.1.21/24 brd 192.168.1.255 scope global br-clients
    inet6 2001:1418:1a9:eeab:0:15:6d7b:967a/64 scope global 
       valid_lft forever preferred_lft forever
    inet6 fe80::215:6dff:fe7b:967a/64 scope link 
       valid_lft forever preferred_lft forever
5: wlan0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1528 qdisc mq state UP qlen 32
    link/ether 00:15:6d:7a:96:7a brd ff:ff:ff:ff:ff:ff
    inet 192.168.30.21/24 brd 192.168.30.255 scope global wlan0
    inet6 eeab:30::1/64 scope global tentative flags 08 
       valid_lft forever preferred_lft forever
    inet6 fe80::215:6dff:fe7a:967a/64 scope link 
       valid_lft forever preferred_lft forever
6: bat0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc noqueue state UNKNOWN 
    link/ether 66:e2:3c:44:f0:c1 brd ff:ff:ff:ff:ff:ff
root@OpenWrt:~# 
root@OpenWrt:~# 
root@OpenWrt:~# 
root@OpenWrt:~# brctl show
bridge name     bridge id               STP enabled     interfaces
br-clients              8000.00156d7b967a       no              eth0
                                                        bat0
root@OpenWrt:~# 
root@OpenWrt:~# 
root@OpenWrt:~# cat /etc/config/network 

config 'interface' 'loopback'
        option 'ifname' 'lo'
        option 'proto' 'static'
        option 'ipaddr' '127.0.0.1'
        option 'netmask' '255.0.0.0'
        option 'ip6addr' '0::1/128'

config 'interface' 'clients'
        option 'proto' 'static'
        option 'type' 'bridge'
        list 'ifname' 'bat0'
        list 'ifname' 'eth0'
        option 'ip6addr' '2001:1418:1a9:eeab::0015:6D7B:967A/64'
        option 'ip6gw' '2001:1418:1a9:eeab::1000'
        option 'ipaddr' '192.168.1.21'
        option 'netmask' '255.255.255.0'

config 'interface' 'nmeshradio0'
        option 'proto' 'static'
        option 'mtu' '1528'
        option 'ip6addr' 'eeab:30::1/64'
        option 'ipaddr' '192.168.30.21'
        option 'netmask' '255.255.255.0'

root@OpenWrt:~#

unplug-plug and their combination doesn't help restart devices seems solve temporary

sometime carrier detection failure occurs after unplug and plug the cable, sometimes at boot and sometimes seems occurs randomly

I can give access to the devices but I need to reboot that device soon

Attachments (0)

Change History (18)

comment:1 follow-up: Changed 6 years ago by gmazzurco89@…

here is a work around, put that line in crontab it will check periodically if something bad happened to ethernet interfaces and if it is the case reboot the system

dmesg | grep eth | grep NETDEV | grep WATCHDOG  &> /dev/null && reboot

comment:2 Changed 6 years ago by florian

  • Status changed from new to closed

You should rely on ethtool, and not the kernel log to detect carrier losses.

comment:3 Changed 6 years ago by gmazzurco89@…

  • Status changed from closed to reopened

Why do you closed the bug??
It is not normal that it arbitrary lose carrier and not regain it!!

ethtool is not inside the default openwrt images :|

comment:4 follow-up: Changed 6 years ago by florian

Sorry that was not intentional.

comment:5 in reply to: ↑ 4 Changed 6 years ago by gmazzurco89@…

Replying to florian:

Sorry that was not intentional.

NP ;)

comment:6 Changed 6 years ago by anonymous

#11015 appear to be the some bug. Anyway this ticket carry more info.

Same reported on https://bugzilla.redhat.com/show_bug.cgi?id=580076
and similar on https://bugzilla.redhat.com/show_bug.cgi?id=619806

comment:7 Changed 6 years ago by Lesiuk

I have the same problem. It's really annoying. Is there any fix for this?

comment:8 Changed 6 years ago by xz

Thank you gmazzurco89 for that workaround. It's really clever temporary fix for that bug.

comment:9 Changed 6 years ago by gmazzurco89@…

I have discovered that the workaround doesn't work al times carrier loss happen, because sometimes nothing about the carrier loss error appears in dmesg

anyway we are testing openwrt trunk and at moment it seems it is not affected by that bug ( i thinks because of newer kernel ) but we have not done enough test

comment:10 Changed 6 years ago by florian

Your workaround is not reliable, because first of all you use the netdev watchdog timeout warning, which will only be showing up when the transmit timeout function is called, second your kernel log will wrap so you might loose these messages anyway. We need to tackle this issue so your net device queue does not get stuck like this.

comment:11 Changed 6 years ago by ja@…

I have that problem with Ubiquiti PowerAP N (it's home router, same hardware as nanostation m), I will be glad to help you fix it.

comment:12 Changed 6 years ago by dditthardt@…

Same problem on RouterStation Pro. Also experiencing random(most of the time it's stable) heavy throughput fluctuations, high latency, and packets drops. Latest trunk snapshot, continually upgrading.

comment:13 Changed 5 years ago by ysan99@…

I have a device with ar7240 chip and facing the same issue.
The exact issue seems like ar7240 eth driver (or hardware) is unable to detect duplex only change.
Possible steps to recreate the issue are.

  1. Connect device directly to a PC (preferable Linux PC)
  2. Set both PC and device to Auto negotiation speed and duplex.
  3. Find out what eth speed and duplex PC and device locked to.
  4. Now force only duplex change at PC. The issue occurs. Duplex mismatch because device did not update its duplex as per PC.

Please note, Connecting test with ping works fine when duplex mismatch but http wont' work.

Thanks,
Santosh

comment:14 Changed 5 years ago by dditthardt@…

I just tested ysan99's findings by using ethtool to set autoneg off and forcing 100mbit as suggested in https://forum.openwrt.org/viewtopic.php?id=37845

I haven't had a connection drop since using snapshot from this morning. Before this it was dropping every few minutes or hours.

comment:15 Changed 5 years ago by dditthardt@…

It has now been 1 week, 0 drops.

comment:16 in reply to: ↑ 1 Changed 4 years ago by anonymous

Replying to gmazzurco89@…:

here is a work around, put that line in crontab it will check periodically if something bad happened to ethernet interfaces and if it is the case reboot the system

dmesg | grep eth | grep NETDEV | grep WATCHDOG  &> /dev/null && reboot

comment:17 Changed 4 years ago by jow

  • Milestone changed from Backfire 10.03.2 to Chaos Calmer (trunk)

Milestone Backfire 10.03.2 deleted

comment:18 Changed 2 years ago by nbd

  • Resolution set to fixed
  • Status changed from reopened to closed

fixed in r47892, r47895

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.